package com.fs.config.tencent;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
@Data
public class TencentProperties {
    @Value("${tencent_cloud_config.secret_id}")
    public String secretId;
    @Value("${tencent_cloud_config.secret_key}")
    public String secretKey;
    @Value("${tencent_cloud_config.bucket}")
    public String bucket;
    @Value("${tencent_cloud_config.app_id}")
    public String appId;
    @Value("${tencent_cloud_config.region}")
    public String region;
    @Value("${tencent_cloud_config.proxy}")
    public String proxy;
    @Value("${tmp_secret_config.secret_id}")
    public String tempSecretId;
    @Value("${tmp_secret_config.secret_key}")
    public String tempSecretKey;
    @Value("${tmp_secret_config.bucket}")
    public String tempBucket;
    @Value("${tmp_secret_config.app_id}")
    public String tempAppId;
    @Value("${tmp_secret_config.region}")
    public String tempRegion;
    @Value("${tmp_secret_config.proxy}")
    public String tempProxy;
}
